Loading...
Searching...
No Matches
psa_driver_key_derivation_context_t Union Reference

`#include <crypto_driver_contexts_key_derivation.h>`

Collaboration diagram for psa_driver_key_derivation_context_t:
[legend]

## Data Fields

unsigned | dummy
psa_hkdf_key_derivation_t | private_hkdf
psa_tls12_prf_key_derivation_t | private_tls12_prf
psa_tls12_ecjpake_to_pms_t | private_tls12_ecjpake_to_pms

## Detailed Description

Definition at line 32 of file crypto_driver_contexts_key_derivation.h.

## Field Documentation

## dummy

unsigned psa_driver_key_derivation_context_t::dummy

Definition at line 33 of file crypto_driver_contexts_key_derivation.h.

## private_hkdf

psa_hkdf_key_derivation_t psa_driver_key_derivation_context_t::private_hkdf

Definition at line 37 of file crypto_driver_contexts_key_derivation.h.

## private_tls12_ecjpake_to_pms

psa_tls12_ecjpake_to_pms_t psa_driver_key_derivation_context_t::private_tls12_ecjpake_to_pms

Definition at line 44 of file crypto_driver_contexts_key_derivation.h.

## private_tls12_prf

psa_tls12_prf_key_derivation_t psa_driver_key_derivation_context_t::private_tls12_prf

Definition at line 41 of file crypto_driver_contexts_key_derivation.h.

The documentation for this union was generated from the following file:

- crypto_driver_contexts_key_derivation.h